clang-tools 10.0.0

Classes | Functions
clang::tidy::linuxkernel Namespace Reference

## Classes
class | LinuxKernelModule
| This module is for checks specific to the Linux kernel. More...
class | MustCheckErrsCheck
| Checks Linux kernel code to see if it uses the results from the functions in linux/err.h. More...

## Functions
static ClangTidyModuleRegistry::Add< LinuxKernelModule > | X ("linux-module", "Adds checks specific to the Linux kernel.")

## Function Documentation

## ◆ X()

static ClangTidyModuleRegistry::Add<LinuxKernelModule> clang::tidy::linuxkernel::X | ( | "linux-module" | ,
|  | "Adds checks specific to the Linux kernel." |
| ) |  |
| static

Referenced by clang::tidy::linuxkernel::LinuxKernelModule::addCheckFactories().